Subject: Re: hard hang through qdisc

From: Patrick McHardy <[email-masked]>
Date: Thu, 31 Jan 2008 16:12:22 +0100

Andi Kleen wrote:
>> Works for me:
>>
>> qdisc tbf 8001: root rate 1000bit burst 10b/8 mpu 0b lat 720.0ms
>>   Sent 0 bytes 0 pkt (dropped 9, overlimits 0 requeues 0)
>>   rate 0bit 0pps backlog 0b 0p requeues 0
>>
>> Packets are dropped as expected.
> 
> I can still reproduce it on 64bit with http://halobates.de/config-qdisc
> (all qdiscs etc. compiled in for testing) 
> with latest git tip (8af03e782cae1e0a0f530ddd22301cdd12cf9dc0)
> 
> The command line above causes an instant hang. Also tried it with
> newer iproute2 (the original one was quite old), but it didn't make
> a difference.
> 
> Perhaps it's related to what qdiscs are enabled?

I'm also testing on 64 bit, with all qdiscs enabled as modules.

> Can you please try with the above config?

I'll give it a try later.